def is_valid(faces):
    total_sum = sum(faces)

    if total_sum % 3 != 0:
        return False

    target_sum = total_sum // 3

    pairs = [
        (faces[0], faces[5]),
        (faces[1], faces[4]),
        (faces[2], faces[3])
    ]
    return  all(sum(pair) == target_sum for pair in pairs)
n = int(input())
for _ in range (n):
    faces = list(map(int, input().split()))
    if is_valid(faces):
        print("yes")
    else:
        print("no")
