def is_valid_dice(faces):
    if len(faces) != 6:
        return False
    total_sum = sum(faces)
    if total_sum % 3 != 0:
        return False

    target_sum = total_sum // 3

    pairs = [
        (faces[0], faces[3]),
        (faces[1], faces[4]),
        (faces[2], faces[5])
    ]
    return all(sum(pair) == target_sum for pair in pairs)
n = int(input())
all_dice = []
for _ in range (n):
    try:
        faces = list(map(int, input().split()))
        if len(faces) != 6:
            raise ValueError("6")
        all_dice.append(faces)
    except ValueError as e:
        print(e)
        exit()

for faces in all_dice:
    if is_valid_dice(faces):
        print("yes")
    else:
        print("no")
